// binario-t.cpp
#include <iostream>
#include <fstream>
using namespace std;

int main()
{
  int n = 0;
  char *s = "ˇHola mundo!\n";
  ofstream ofs; // flujo
  // Abrir el fichero
  ofs.open("mifichero-t.bin", ios::out); // fichero de texto por omisión
  // Escribir en el fichero
  ofs.write(s, strlen(s));
  n = 9;        ofs.write((char *)&n, sizeof(int));
  n = 256;      ofs.write((char *)&n, sizeof(int));
  n = 17432583; ofs.write((char *)&n, sizeof(int));
  // Cerrar el fichero
  ofs.close();
  return 0;
}
